# jsonlint GitLab CI job configuration file
# More info at https://jsonlint.com/

---
jsonlint:
  stage: lint
  needs: []
  image: registry.gitlab.com/pipeline-components/jsonlint:latest
  rules:
    - if: $ENABLE_JOBS =~ /^.*jsonlint.*$/

  script:
    - |
      find . -not -path './.git/*' -name '*.json' -type f -print0 |
      parallel --will-cite -k -0 -n1 jsonlint -q
